libzypp: zypp::CpeId::Impl Class Reference

libzypp 17.36.6

Public Member Functions | Private Types | Static Private Member Functions | Private Attributes | List of all members
zypp::CpeId::Impl Class Reference

CpeId implementation. More...

Inheritance diagram for zypp::CpeId::Impl:

## Public Member Functions
| Impl ()
| Impl (const std::string &cpe_r)
| operator bool () const
std::string | asFs () const
std::string | asUri () const
std::string | asWfn () const
SetCompare | setRelationMixinCompare (const Impl &trg) const

## Private Types
using | Wfn = std::array<Value, Attribute::numAttributes>

## Static Private Member Functions
static void | assignAttr (Wfn &wfn_r, Attribute attr_r, const Value &val_r)
| Assign val_r if it meets attr_r specific contraints.
static Wfn | unbind (const std::string &cpe_r)
| Parse magic and unbind accordingly.
static Wfn | unbindUri (const std::string &cpe_r)
| Parse Uri and unbind.
static Wfn | unbindFs (const std::string &cpe_r)
| Parse Fs and unbind.

## Private Attributes
Wfn | _wfn

## Detailed Description

CpeId implementation.

Definition at line 84 of file CpeId.cc.

## Member Typedef Documentation

## ◆ Wfn

using zypp::CpeId::Impl::Wfn = std::array<Value, Attribute::numAttributes>
| private

Definition at line 86 of file CpeId.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::CpeId::Impl::Impl | ( |  | ) |
| inline

Definition at line 89 of file CpeId.cc.

## ◆ Impl() [2/2]

zypp::CpeId::Impl::Impl | ( | const std::string & | cpe_r | ) |
| inline

Definition at line 91 of file CpeId.cc.

## Member Function Documentation

## ◆ operator bool()

zypp::CpeId::Impl::operator bool | ( |  | ) | const
| inlineexplicit

Definition at line 96 of file CpeId.cc.

## ◆ asFs()

std::string zypp::CpeId::Impl::asFs | ( |  | ) | const
| inline

Definition at line 99 of file CpeId.cc.

## ◆ asUri()

std::string zypp::CpeId::Impl::asUri | ( |  | ) | const
| inline

Definition at line 110 of file CpeId.cc.

## ◆ asWfn()

std::string zypp::CpeId::Impl::asWfn | ( |  | ) | const
| inline

Definition at line 152 of file CpeId.cc.

## ◆ setRelationMixinCompare()

SetCompare zypp::CpeId::Impl::setRelationMixinCompare | ( | const Impl & | trg | ) | const
| inline

Definition at line 173 of file CpeId.cc.

## ◆ assignAttr()

static void zypp::CpeId::Impl::assignAttr | ( | Wfn & | wfn_r,
|  | Attribute | attr_r,
|  | const Value & | val_r )
| inlinestaticprivate

Assign val_r if it meets attr_r specific contraints.

Exceptions

  std::invalid_argument | if string is malformed

Definition at line 215 of file CpeId.cc.

## ◆ unbind()

CpeId::Impl::Wfn zypp::CpeId::Impl::unbind | ( | const std::string & | cpe_r | ) |
| staticprivate

Parse magic and unbind accordingly.

Exceptions

  std::invalid_argument | if string is malformed

Definition at line 288 of file CpeId.cc.

## ◆ unbindUri()

CpeId::Impl::Wfn zypp::CpeId::Impl::unbindUri | ( | const std::string & | cpe_r | ) |
| staticprivate

Parse Uri and unbind.

Exceptions

  std::invalid_argument | if string is malformed

Definition at line 315 of file CpeId.cc.

## ◆ unbindFs()

CpeId::Impl::Wfn zypp::CpeId::Impl::unbindFs | ( | const std::string & | cpe_r | ) |
| staticprivate

Parse Fs and unbind.

Exceptions

  std::invalid_argument | if string is malformed

Definition at line 349 of file CpeId.cc.

## Member Data Documentation

## ◆ _wfn

Wfn zypp::CpeId::Impl::_wfn
| private

Definition at line 285 of file CpeId.cc.

The documentation for this class was generated from the following file:

- zypp/CpeId.cc